Subject: Experience with cordless electric mowers?

From: [email-masked] (Ted Swirsky)
Date: 7 Mar 1995 13:45:44 GMT

My gas mower is getting old and I was very interested in a battery
mulching mower.  

I know at least two companies make them (Black and Decker and Ryobi?) but
wanted to know if anyone who owns one can tell me if they are any good.

My front, back and sides can't be much more than 4000 sq ft.

Thanks.